Name:           python-docopt
Version:        0.6.2
Release:        14
Summary:        Command-line interface description language
License:        MIT
URL:            http://docopt.org/
Source0:        https://github.com/docopt/docopt/archive/%{version}.tar.gz#/docopt-%{version}.tar.gz

#patch
Patch0000:	pytest-Use-Node.from_parent.patch

BuildArch:      noarch

%global _description \
docopt helps you define the interface for your command-line app, and automatically generate a \
parser for it.\
docopt is based on conventions that have been used for decades in help messages and man pages for \
describing a program interface. An interface description in docopt is such a help message, but \
formalized.

%description    %_description

%package   -n   python3-docopt
Summary:        Command-line interface description language
%{?python_provide:%python_provide python3-docopt}
BuildRequires:  python3-devel python3-pytest python3-setuptools

%description -n python3-docopt %_description

%prep
%autosetup -n docopt-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
py.test-3 -v

%files -n python3-docopt
%license LICENSE-MIT
%doc README.rst
%{python3_sitelib}/docopt*
%{python3_sitelib}/__pycache__/*

%changelog
* Wed Oct 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.6.2-14
- Rebuild for next release

* Thu Oct 28 2021 xuping <xuping33@huawei.com> - 0.6.2-13
- pytest Use Node.from_parent to fix some testcase failed.

* Sat Oct 24 2020 tianwei <tianwei12@huawei.com> - 0.6.2-12
- delete python2

* Wed Jan 08 2020 zhouyihang <zhouyihang1@huawei.com> - 0.6.2-11
- Package init
